@if (gridService.gridState$ | async; as gridState) {
  <sqtm-app-search-view
    [workspaceName]="workspaceName"
    [titleKey]="titleKey"
    [filters]="filters"
    [filterGroups]="filterGroups"
  >
    <div
      [attr.data-test-toolbar-id]="'requirement-search-toolbar'"
      class="current-workspace-main-color font-20-px m-r-10 flex-row button-bar"
    >
      @if (this.referentialDataService.isPremiumPluginInstalled$ | async) {
        <sqtm-core-toggle-icon
          [active]="true"
          (clickedInActiveMode)="showAvailableFilters()"
        >
          <i
            [attr.data-test-toolbar-button-id]="'open-widget-column-button'"
            nz-icon
            #iconColumnElement
            nzType="sqtm-core-generic:columns"
            class="action-icon-size"
            nzTheme="outline"
            nz-tooltip="{{ 'sqtm-core.grid.columns' | translate | capitalize }}"
          ></i>
        </sqtm-core-toggle-icon>
      }
      @if (!(this.referentialDataService.isPremiumPluginInstalled$ | async)) {
        <sqtm-core-toggle-icon
          [active]="true"
          (clickedInActiveMode)="toggleAdditionalColumnsVisibility()"
        >
          <i
            [attr.data-test-toolbar-button-id]="'show-all-columns-button'"
            nz-icon
            [nzType]="
              gridState.configurationState.simplifiedColumnDisplayGridIds.includes(
                gridId
              )
                ? 'sqtm-core-generic:read'
                : 'sqtm-core-generic:hide_columns'
            "
            class="action-icon-size"
            nzTheme="outline"
            nz-tooltip="{{
              (gridState.configurationState.simplifiedColumnDisplayGridIds.includes(
                gridId
              )
                ? 'sqtm-core.search.show-other-columns'
                : 'sqtm-core.search.hide-other-columns'
              )
                | translate
                | capitalize
            }}"
          ></i>
        </sqtm-core-toggle-icon>
      }
      <sqtm-core-toggle-icon
        [active]="hasSelectedRows$ | async"
        (clickedInActiveMode)="linkSelection()"
      >
        <i
          [attr.data-test-element-id]="'link-selection-button'"
          [attr.data-test-toolbar-button-id]="'link-selection-button'"
          nz-icon
          nzType="sqtm-core-generic:link_selection"
          class="action-icon-size"
          nzTheme="outline"
          nz-tooltip="{{
            'sqtm-core.search.generic.link.selection' | translate
          }}"
        ></i>
      </sqtm-core-toggle-icon>
      <sqtm-core-toggle-icon [active]="true" (clickedInActiveMode)="linkAll()">
        <i
          [attr.data-test-element-id]="'link-all-button'"
          [attr.data-test-toolbar-button-id]="'link-all-button'"
          class="action-icon-size"
          nz-icon
          nzType="sqtm-core-generic:link_all"
          nzTheme="outline"
          nz-tooltip="{{ 'sqtm-core.search.generic.link.all' | translate }}"
        ></i>
      </sqtm-core-toggle-icon>
      <sqtm-core-toggle-icon
        [active]="true"
        (clickedInActiveMode)="navigateBack()"
      >
        <i
          [attr.data-test-element-id]="'cancel-button'"
          class="action-icon-size"
          nz-icon
          nzType="close"
          nzTheme="outline"
          nz-tooltip="{{ 'sqtm-core.generic.label.cancel' | translate }}"
        ></i>
      </sqtm-core-toggle-icon>
    </div>
  </sqtm-app-search-view>
}
